kgdb crashing on a vmcore with dumptid = 0

2018-05-04 Thread Eitan Adler
gdb$ bt #0 thr_kill () at thr_kill.S:3 #1 0x0008035046b4 in __raise (s=0x6) at /usr/src/lib/libc/gen/raise.c:54 #2 0x000803504629 in abort () at /usr/src/lib/libc/stdlib/abort.c:67 #3 0x00c805c6 in dump_core () at utils.c:284 #4 0x00c81920 in internal_vproblem

SSP_CFLAGS for kernel

2018-05-04 Thread Rozhuk Ivan
Hi! I set: /etc/src.conf: WITH_SSP= /etc/make.conf: SSP_CFLAGS=-fstack-protector-all WITH_SSP_PORTS=yes But in /usr/src/sys/conf/kern.mk: ... # # GCC SSP support # .if ${MK_SSP} != "no" && \ ${MACHINE_CPUARCH} != "arm" && ${MACHINE_CPUARCH} != "mips" CFLAGS+=-fstack-protector

Recent warnings.

2018-05-04 Thread Sean Bruno
make[3]: "/usr/src/share/mk/bsd.prog.mk" line 274: warning: duplicate script for target "_scriptsinstall" ignored make[3]: "/usr/src/share/mk/bsd.prog.mk" line 274: warning: using previous script for "_scriptsinstall" defined here This popped up on me this week. Anyone see what's going on?

Re: OSVERSION

2018-05-04 Thread Jeffrey Bouquet
On Fri, 4 May 2018 15:28:53 -0600, Alan Somers wrote: > On Fri, May 4, 2018 at 2:46 PM, Jeffrey Bouquet > wrote: > > > 12.0-CURRENT r332797 GENERIC amd64 > > .. > > make: "/usr/ports/Mk/bsd.port.mk" line 1171: Unable to > >

Re: OSVERSION

2018-05-04 Thread Ian Lepore
On Fri, 2018-05-04 at 15:28 -0600, Alan Somers wrote: > On Fri, May 4, 2018 at 2:46 PM, Jeffrey Bouquet > wrote: > > > > > 12.0-CURRENT r332797 GENERIC amd64 > > .. > > make: "/usr/ports/Mk/bsd.port.mk" line 1171: Unable to > > determine OS version. Either define OSVERSION, or >

Re: OSVERSION

2018-05-04 Thread Alan Somers
On Fri, May 4, 2018 at 2:46 PM, Jeffrey Bouquet wrote: > 12.0-CURRENT r332797 GENERIC amd64 > .. > make: "/usr/ports/Mk/bsd.port.mk" line 1171: Unable to > determine OS version. Either define OSVERSION, or > install /usr/include/sys/param.h... >

OSVERSION

2018-05-04 Thread Jeffrey Bouquet
12.0-CURRENT r332797 GENERIC amd64 .. make: "/usr/ports/Mk/bsd.port.mk" line 1171: Unable to determine OS version. Either define OSVERSION, or install /usr/include/sys/param.h... .. then , with param.h in place .. port

Re: Regression Resume Lenovo T450

2018-05-04 Thread Pete Wright
On 05/03/2018 23:07, Manuel Stühn wrote: Since some time now CURRENT runs very smoothly on my Lenovo T450 in conjunction with drm-stable-kmod installed. WLAN, Suspense worked out of the box (at least ... until now). Due to pkg(8) complaining about wrong ABI of packages, I've made an update

Regression Resume Lenovo T450

2018-05-04 Thread Manuel Stühn
Since some time now CURRENT runs very smoothly on my Lenovo T450 in conjunction with drm-stable-kmod installed. WLAN, Suspense worked out of the box (at least ... until now). Due to pkg(8) complaining about wrong ABI of packages, I've made an update from r332385 (1200061) to r333091